Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model
Class VariablePointerFactory

    java.lang.Object
      org.apache.commons.jxpath.ri.model.VariablePointerFactory

All Implemented Interfaces:
  NodePointerFactory

    public class VariablePointerFactory

extends Object
implements NodePointerFactory

NodePointerFactory to create `VariablePointers`.

Since:
  JXPath 1.3
Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Matt Benson

Nested Class Summary
`static class` | `VariablePointerFactory.VariableContextWrapper` Node value wrapper to trigger a VariablePointerFactory.

Field Summary
`static int` | `VARIABLE_POINTER_FACTORY_ORDER` factory order constant

Constructor Summary
`VariablePointerFactory()`

Method Summary
`static VariablePointerFactory.VariableContextWrapper` | `contextWrapper(JXPathContext context)` VariableContextWrapper factory method.
`NodePointer` | `createNodePointer(NodePointer parent, QName name, Object object)` Create a NodePointer for the supplied child object.
`NodePointer` | `createNodePointer(QName name, Object object, Locale locale)` Create a NodePointer for the supplied object.
`int` | `getOrder()` The factory order number determines its position between other factories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VARIABLE_POINTER_FACTORY_ORDER

    public static final int VARIABLE_POINTER_FACTORY_ORDER

  factory order constant

  See Also:
    Constant Field Values

Constructor Detail

### VariablePointerFactory

    public VariablePointerFactory()

Method Detail

### contextWrapper

    public static VariablePointerFactory.VariableContextWrapper contextWrapper(JXPathContext context)

  VariableContextWrapper factory method.

  Parameters:
    `context` - the JXPathContext to wrap.
  Returns:
    VariableContextWrapper.

### createNodePointer

    public NodePointer createNodePointer(QName name,
                                         Object object,
                                         Locale locale)

  Description copied from interface: `NodePointerFactory`
  Create a NodePointer for the supplied object. The node will represent the "root" object for a path.

  Specified by:
    `createNodePointer` in interface `NodePointerFactory`
  Parameters:
    `name` - String node name
    `object` - child object
    `locale` - Locale
  Returns:
    null if this factory does not recognize objects of the supplied type.

### createNodePointer

    public NodePointer createNodePointer(NodePointer parent,
                                         QName name,
                                         Object object)

  Description copied from interface: `NodePointerFactory`
  Create a NodePointer for the supplied child object.

  Specified by:
    `createNodePointer` in interface `NodePointerFactory`
  Parameters:
    `parent` - parent node
    `name` - String node name
    `object` - child object
  Returns:
    null if this factory does not recognize objects of the supplied type.

### getOrder

    public int getOrder()

  Description copied from interface: `NodePointerFactory`
  The factory order number determines its position between other factories.

  Specified by:
    `getOrder` in interface `NodePointerFactory`
  Returns:
    int order

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.